<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DBWorkHLIndividualNoten extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->select = 'id, indnote, indnotetxtdt, indnotetxten, indtext1, indtext2';
    $this->orderby = 'indnote';
  }

  
  public function getNewObject()
  {
    return new HLIndividualNoten();
  }

  public function getTableName(): string
  {
    return 'hlindividualnoten';
  }

  
  public function getCurrentRow($pRefreshCache = false)
  {
    $tmp = $this->getNewObject();

    $tmp->id = $this->getDatamodulValue('id');
    $tmp->indnotetxtdt = $this->getDatamodulValue('indnotetxtdt');
    $tmp->indnotetxten = $this->getDatamodulValue('indnotetxten');
    $tmp->indtext1 = $this->getDatamodulValue('indtext1');
    $tmp->indtext2 = $this->getDatamodulValue('indtext2');
    $tmp->indnote = $this->getDatamodulValue('indnote');

    return $tmp;
  }
}